Skip to main content
PUT
Update Product

Authorizations

X-Authorization
string
header
required

API Scope: "Product (write)"

Path Parameters

id
integer
required

The product's unique identifier.

Body

application/json
sales_channel
string
required

If a channel with this name is not already associated with the shop, it will be used to create a new channel.

Maximum string length: 255
name
string
Maximum string length: 255
source
string | null
Maximum string length: 255
external_id
string | null

The provided external_id must be unique. If a non-unique external_id is provided, the API will respond with an error.

Maximum string length: 100
Example:

"564400c7-7a6b-4f29-b6a5-7bb580b2992c"

sku
string | null
Maximum string length: 255
Example:

"SHOES-US44-M-Brwn"

weight_grams
integer | null

The weight of the product in grams.

Example:

440

barcode
string | null

The barcode of the product.

Maximum string length: 255
Example:

712345000019

description
string | null
Maximum string length: 65000
type
string | null
Maximum string length: 255
vendor
string | null
Maximum string length: 255
price
object | null

The price of the product in minor units, such as cents, with its corresponding currency.

Example:
created_at
string<date-time> | null
Example:

"2023-04-25T13:25:00-05:00"

updated_at
string<date-time> | null

The value must be equal to or greater than created_at.

Example:

"2023-04-25T13:45:00-05:00"

options
ProductOption · object[] | null

The provided array will overwrite the existing set of options.

images
string<uri>[] | null

The provided array will overwrite the existing set of images.

Minimum string length: 1
tags
string[] | null

The provided array will overwrite the existing set of tags.

Required string length: 1 - 255
is_gift_card
boolean | null

Whether the product is a gift card.

Example:

false

Response

OK

product
ProductResponse · object